<div class="delete-box" style="padding: 24px">
  <h1 mat-dialog-title>Employee Termination</h1>
  <div mat-dialog-content>
    <section class="form-container">
      <mat-form-field class="filter">
        <mat-label>Employee No</mat-label>
        <input matInput [value]="data.user.employeeNumber" disabled>
      </mat-form-field>
      <mat-form-field class="filter">
        <mat-label>Employee Name</mat-label>
        <input matInput [value]="data.user.firstName" disabled>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Job Title</mat-label>
        <input matInput [value]="data.user.jobTilte" disabled>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Department</mat-label>
        <input matInput [value]="data.user.department" disabled>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Reason</mat-label>
        <mat-select name="reason" [value]="data.terminationDetails.reason" [(ngModel)]="data.terminationDetails.reason">
          <mat-option *ngFor="let reason of data.terminationTypes" [value]="reason.code">{{reason.name}}</mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Termination Date</mat-label>
        <input matInput readonly (click)="cfdpicker1.open()" [matDatepicker]="cfdpicker1"
          [(ngModel)]="data.terminationDetails.terminationDate" [min]="joiningDate" (dateChange)="setTerminationDate()">
        <mat-datepicker-toggle matSuffix [for]="cfdpicker1"></mat-datepicker-toggle>
        <mat-datepicker #cfdpicker1></mat-datepicker>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Notified Date</mat-label>
        <input matInput readonly (click)="cfdpicker.open()" [matDatepicker]="cfdpicker"
          [(ngModel)]="data.terminationDetails.notifiedDate" [max]="terminationDate" [disabled]="!data.terminationDetails.terminationDate">
        <mat-datepicker-toggle matSuffix [for]="cfdpicker"></mat-datepicker-toggle>
        <mat-datepicker #cfdpicker></mat-datepicker>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Last payroll Process Date</mat-label>
        <input matInput readonly (click)="cfdpicker3.open()" [matDatepicker]="cfdpicker3"
          [(ngModel)]="data.terminationDetails.lastPayrollProcessDate" [min]="terminationDate" [disabled]="!data.terminationDetails.terminationDate">
        <mat-datepicker-toggle matSuffix [for]="cfdpicker3"></mat-datepicker-toggle>
        <mat-datepicker #cfdpicker3></mat-datepicker>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Final Payment Date</mat-label>
        <input matInput readonly (click)="cfdpicker2.open()" [matDatepicker]="cfdpicker2"
          [(ngModel)]="data.terminationDetails.finalPaymentDate" [min]="terminationDate" [disabled]="!data.terminationDetails.terminationDate">
        <mat-datepicker-toggle matSuffix [for]="cfdpicker2"></mat-datepicker-toggle>
        <mat-datepicker #cfdpicker2></mat-datepicker>
      </mat-form-field>
    </section>
  </div>
  <div class="btn-group" mat-dialog-actions>
    <button class="button-secondary" mat-button (click)="onClose()">Cancel</button>
    <button [disabled]="data.terminationDetails.reason === '' ||
    data.terminationDetails.notifiedDate === '' ||
    data.terminationDetails.terminationDate === '' ||
    data.terminationDetails.lastPayrollProcess === '' ||
    data.terminationDetails.finalPaymentDate === ''" class="button-primary" mat-button [mat-dialog-close]="data"
      cdkFocusInitial>Submit</button>
  </div>
</div>
<style>
  .form-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
  }

  mat-form-field {
    width: 45%;
  }

  .btn-group {
    display: flex;
    justify-content: space-evenly;
  }
</style>